* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}
html {
  scroll-behavior: smooth;
}
body {
  font-family: Noto Sans;
}

nav ul {
  display: flex;
  justify-content: end;
  align-items: center;
  gap: 20px;
  padding: 6px 75px 6px 75px;
  list-style-type: none;
  z-index: 998;
}
.allbuttons:hover {
  background-color: #745fe9;
}
a {
  text-decoration: none;
  color: black;
}
nav ul li a {
  font-weight: 600;
}
nav ul li:first-child {
  margin-right: auto;
}
nav ul li:first-child img {
  width: clamp(100px, 10vw, 177px);
}

nav ul li:last-child {
  margin-left: auto;
}
nav ul li:last-child a {
  padding: 13px 21px;
  background-color: #4525f2;
  border-radius: 24px;
  color: white;
  font-size: clamp(11px, 1.5vw, 16px);
}

.error-message {
  display: none;
  border: 2px solid red;
  padding: 10px;
  font-weight: 600;
  margin-bottom: 20px;
  color: red;
}
.error-message.show {
  display: block;
  max-width: 100%;
}
footer {
  background-color: #002aa1;
  color: white;
  padding: 25px;
}
input {
  background-color: #2f2f2f43;
  outline: none;
  border: none;
  color: white;
  height: 41px;
  border-radius: 11px;
  width: 100%;
  font-family: Noto Sans;
  padding-left: 15px;
}
::placeholder {
  color: white;
  font-family: Noto Sans;
}
textarea {
  outline: none;
  border: none;
  background-color: #2f2f2f43;
  font-family: Noto Sans;
  margin-bottom: 20px;
  padding: 15px;
  border-radius: 12px;
  resize: none;
  color: white;
}
button {
  border: none;
  outline: none;
  background-color: white;
  height: 35px;
  border-radius: 25px;
  cursor: pointer;
}
.form-div {
  max-width: 100%;
  margin-top: 35px;
}
.form-wrapper {
  display: flex;
  flex-direction: column;
}
.footer-left {
  min-width: 60%;
  display: flex;
  flex-direction: column;
  align-items: center;
}
footer {
  display: flex;
  flex-direction: row;
}
.footer-right {
  min-width: 20%;
  display: flex;
  flex-direction: column;
  align-items: center;
}
.footer-right h2 {
  margin-bottom: 25px;
}
.footer-right ul {
  display: flex;
  gap: 35px;
  list-style-type: none;
  align-items: center;
}
.footer-right ul li a i:hover {
  color: orange;
}
.fa-facebook-f,
.fa-instagram,
.fa-linkedin-in,
.fa-envelope {
  color: white;
  font-size: 30px;
}

.fa-bars,
.fa-bars-staggered {
  position: fixed;
  font-size: 38px;
  left: 15px;
  top: 15px;
  cursor: pointer;
  display: none;
  z-index: 999;
}
address {
  text-align: center;
  padding: 20px;
}
.gallery {
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  padding: 50px;
}
h1 {
  font-size: 35px;
  padding: 20px;
}
.boxes:hover {
  scale: 1.01;
}

.gallery-grid-container {
  display: grid;
  grid-template-columns: 1fr 1fr 1fr;
  grid-template-rows: 1fr 1fr 1fr 1fr;
  grid-template-areas:
    "box1 box2 box3"
    "box4 box5 box6"
    "box7 box8 box9"
    "box10 box11 box12";
  grid-gap: 20px;
}
.boxes img {
  height: 270px;
  width: 360px;
  cursor: pointer;
}
.box1 img {
  border-radius: 20px 0px 0px 0px;
  background-size: cover;
  grid-area: box1;
}
.box2 {
  background-size: cover;
  grid-area: box2;
}
.box3 img {
  border-radius: 0px 20px 0px 0px;
  background-size: cover;
  grid-area: box3;
}
.box4 {
  background-size: cover;
  grid-area: box4;
}
.box5 {
  background-size: cover;
  grid-area: box5;
  background-position: center;
}
.box6 {
  background-size: cover;
  grid-area: box6;
}
.box7 {
  background-size: cover;
  grid-area: box7;
}
.box8 {
  background-size: cover;
  grid-area: box8;
}
.box9 {
  background-size: cover;
  grid-area: box9;
}
.box10 img {
  border-radius: 0px 0px 0px 20px;
  background-size: cover;
  grid-area: box10;
}
.box11 {
  background-size: cover;
  grid-area: box11;
}
.box12 img {
  border-radius: 0px 0px 20px 0px;
  background-size: cover;
  grid-area: box12;
}
.imgview {
  position: fixed;
  background-color: rgba(0, 0, 0, 0.747);
  width: 100%;
  height: 100%;
  display: none;
  justify-content: center;
  align-items: center;
}
.imgview.active {
  display: flex;
  z-index: 700;
}
.imgviewpic img {
  width: 85%;
  height: auto;
}
.imgviewpic {
  display: flex;
  justify-content: center;
}

@media screen and (max-width: 1137px) {
  .boxes img {
    height: 200px;
    width: 229px;
  }
}
@media screen and (max-width: 875px) {
  nav ul {
    padding: 30px 89px 31px 70px;
  }
}

@media screen and (max-width: 768px) {
  nav ul li:last-child a {
    font-size: 16px;
  }

  .gallery-grid-container {
    grid-template-columns: 1fr 1fr;
    grid-template-rows: 1fr 1fr 1fr 1fr 1fr 1fr;
    grid-template-areas:
      "box1 box2 "
      "box3 box4 "
      "box5 box6 "
      "box7 box8 "
      "box9 box10"
      "box11 box12";
  }
  .boxes img {
    height: 230px;
    width: 266px;
  }
  .form-div {
    max-width: 100%;
  }
  .box2 img {
    border-radius: 0px 20px 0px 0px;
  }
  .box3 img {
    border-radius: 0px;
  }
  .box10 img {
    border-radius: 0px;
  }
  .box11 img {
    border-radius: 0px 0px 0px 20px;
  }
  .fa-bars {
    display: inline;
  }
  nav.active .fa-bars {
    display: none;
  }
  nav.active .fa-bars-staggered {
    display: inline;
  }
  .fa-bars-staggered {
    display: none;
  }
  nav ul {
    flex-direction: column;
    position: fixed;
    width: 45%;
    height: 100%;
    align-items: flex-start;
    justify-content: flex-start;
    background-color: white;
    gap: 50px;
    transition: all 0.2s ease-in-out;
    left: -100%;
  }
  nav.active ul {
    left: 0%;
    transition: all 0.2s ease-in-out;
  }
  nav ul li a {
    font-size: 20px;
  }
  nav ul li:first-child {
    width: 100%;
  }
  nav ul li:first-child img {
    width: 100%;
  }
  nav ul li:first-child {
    margin-right: 55px;
  }
  nav ul li:last-child {
    margin-left: 0;
    margin-top: auto;
  }

  .form-div {
    margin-bottom: 50px;
  }
  footer {
    flex-direction: column;
  }
  nav ul {
    padding: 30px 29px 31px 52px;
  }
  .imgviewpic img {
    width: 97%;
    height: auto;
  }
  .imgviewpic {
    display: flex;
    justify-content: center;
  }
}

@media screen and (max-width: 600px) {
  .gallery-grid-container {
    grid-template-columns: 1fr;
    grid-template-rows: 1fr 1fr 1fr 1fr 1fr 1fr 1fr 1fr 1fr 1fr 1fr 1fr;
    grid-template-areas:
      "box1"
      "box2"
      "box3"
      "box4"
      "box5"
      "box6"
      "box7"
      "box8"
      "box9"
      "box10"
      "box11"
      "box12";
  }
  .box1 img {
    border-radius: 20px 20px 0px 0px;
  }
  .box2 img {
    border-radius: 0px;
  }
  .box11 img {
    border-radius: 0px;
  }
  .box12 img {
    border-radius: 0px 0px 20px 20px;
  }
  nav ul {
    width: 100%;
    align-items: center;
  }
  nav ul li:first-child img {
    width: 100%;
  }
  nav ul li:first-child {
    margin-left: auto;
    width: 65%;
  }
  .boxes img {
    height: 250px;
    width: 300px;
  }

  .imgviewpic img {
    width: 96%;
    height: auto;
  }
}
